<?php
/**
 * @file
 * Documents hooks that other modules can implement.
 */

/**
 * Returns text for a product to be indexed as search keywords.
 *
 * @param $product stdClass The commerce_product to be indexed.
 *
 * @return String|Array The keywords to be indexed.
 */
function hook_commerce_search_index_product($product) {
  $keywords = explode('-', $product->sku);
  $renderable = entity_view('commerce_product', array($product), 'node_search_index');
  $keywords[] = drupal_render($renderable);
  return $keywords;
}
